Bug 478174 - MIGRATED_FROM_JIRA: SSL doesn't work with outlook
MIGRATED_FROM_JIRA: SSL doesn't work with outlook
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:06 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:06:07 EST
1 Enable penrose 1.0.5 SSL support as the document
2 Using IE to access https://localhost:10636/
   ( This will import the self signed cert to windows. the document doesn't mention this but openldap's document and other source say this)
   ( without this step, it won't work to)
   IE will import the cert but an odd message showed in ie:
   The server will disconnect!?1.3.6.1.4.1.1466.20036
3 Set up outlook as the document, except that using ssl and port number 10636
   outlook can't connect to penrose(error #81)

enable apacheds's logging and I got this(it happened in SessionLog.debug method) :

org.apache.mina.util.SessionLogdebug [  66] [/127.0.0.1:4479] Unexpected exception from SSLEngine.closeInbound().
javax.net.ssl.SSLException: Inbound closed before receiving peer's close_notify: possible truncation attack?
	at com.sun.net.ssl.internal.ssl.Alerts.getSSLException(Alerts.java:166)
	at com.sun.net.ssl.internal.ssl.SSLEngineImpl.fatal(SSLEngineImpl.java:1352)
	at com.sun.net.ssl.internal.ssl.SSLEngineImpl.fatal(SSLEngineImpl.java:1320)
	at com.sun.net.ssl.internal.ssl.SSLEngineImpl.closeInbound(SSLEngineImpl.java:1259)
	at org.apache.mina.filter.support.SSLHandler.destroy(SSLHandler.java:165)
	at org.apache.mina.filter.SSLFilter.sessionClosed(SSLFilter.java:358)
	at org.apache.mina.common.support.AbstractIoFilterChain.callNextSessionClosed(AbstractIoFilterChain.java:461)
	at org.apache.mina.common.support.AbstractIoFilterChain.access$700(AbstractIoFilterChain.java:52)
	at org.apache.mina.common.support.AbstractIoFilterChain$EntryImpl$1.sessionClosed(AbstractIoFilterChain.java:758)
	at org.apache.mina.filter.executor.ExecutorFilter.processEvent(ExecutorFilter.java:265)
	at org.apache.mina.filter.executor.ExecutorFilter$ProcessEventsRunnable.run(ExecutorFilter.java:305)
	at edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:665)
	at edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:690)
	at java.lang.Thread.run(Thread.java:595)

Try this on penrose 1.1.2, got exactly same result, even the error message

This works with jxplorer.


Additional Comments From purpureleaf dated Sun Jan 28 07:10:23 CST 2007 
sorry, forget that. 
It is just because outlook want my computer name as the cn, instead of "localhost" I use, and it didn't provide useful information for that.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'purpureleaf',
          'key' => 'PENROSE-199',
          'assignee' => 'endisd',
          'summary' => 'SSL doesn't work with outlook',
          'id' => '10601',
          'updated' => '2007-05-17 15:52:36.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2007-05-18 00:00:00.0',
                             'sequence' => '22',
                             'name' => 'Penrose-1.2',
                             'released' => 'true',
                             'id' => '10088',
                             'archived' => 'false'
                           }
                         ],
          'description' => '1 Enable penrose 1.0.5 SSL support as the document
2 Using IE to access https://localhost:10636/
   ( This will import the self signed cert to windows. the document doesn't mention this but openldap's document and other source say this)
   ( without this step, it won't work to)
   IE will import the cert but an odd message showed in ie:
   The server will disconnect!?1.3.6.1.4.1.1466.20036
3 Set up outlook as the document, except that using ssl and port number 10636
   outlook can't connect to penrose(error #81)

enable apacheds's logging and I got this(it happened in SessionLog.debug method) :

org.apache.mina.util.SessionLogdebug [  66] [/127.0.0.1:4479] Unexpected exception from SSLEngine.closeInbound().
javax.net.ssl.SSLException: Inbound closed before receiving peer's close_notify: possible truncation attack?
	at com.sun.net.ssl.internal.ssl.Alerts.getSSLException(Alerts.java:166)
	at com.sun.net.ssl.internal.ssl.SSLEngineImpl.fatal(SSLEngineImpl.java:1352)
	at com.sun.net.ssl.internal.ssl.SSLEngineImpl.fatal(SSLEngineImpl.java:1320)
	at com.sun.net.ssl.internal.ssl.SSLEngineImpl.closeInbound(SSLEngineImpl.java:1259)
	at org.apache.mina.filter.support.SSLHandler.destroy(SSLHandler.java:165)
	at org.apache.mina.filter.SSLFilter.sessionClosed(SSLFilter.java:358)
	at org.apache.mina.common.support.AbstractIoFilterChain.callNextSessionClosed(AbstractIoFilterChain.java:461)
	at org.apache.mina.common.support.AbstractIoFilterChain.access$700(AbstractIoFilterChain.java:52)
	at org.apache.mina.common.support.AbstractIoFilterChain$EntryImpl$1.sessionClosed(AbstractIoFilterChain.java:758)
	at org.apache.mina.filter.executor.ExecutorFilter.processEvent(ExecutorFilter.java:265)
	at org.apache.mina.filter.executor.ExecutorFilter$ProcessEventsRunnable.run(ExecutorFilter.java:305)
	at edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:665)
	at edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:690)
	at java.lang.Thread.run(Thread.java:595)

Try this on penrose 1.1.2, got exactly same result, even the error message

This works with jxplorer.

',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-09-13 00:00:00.0',
                                 'sequence' => '17',
                                 'name' => 'Penrose-1.0.5',
                                 'released' => 'true',
                                 'id' => '10087',
                                 'archived' => 'false'
                               },
                               {
                                 'releaseDate' => '2006-11-27 00:00:00.0',
                                 'sequence' => '20',
                                 'name' => 'Penrose-1.1.2',
                                 'released' => 'true',
                                 'id' => '10091',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-01-18 01:54:28.0',
          'environment' => 'Windows XP
JDK 1.5.0',
          'resolution' => '5',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:06:10 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-199

Note You need to log in before you can comment on or make changes to this bug.